Loading...
Searching...
No Matches
view.hpp File Reference

## Description

Provides bsoncxx::v_noabi::array::view.

Includes
  - bsoncxx/v1/array/view.hpp

Go to the source code of this file.

## Classes

class | bsoncxx::v_noabi::array::view
| A read-only, non-owning view of a BSON document. More...
class | bsoncxx::v_noabi::array::view::const_iterator
| A const iterator over the contents of an array view. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::array
| Declares entities representing a BSON array.

## Functions

v_noabi::array::view | bsoncxx::v_noabi::from_v1 (v1::array::view const &v)
| Convert to the bsoncxx::v_noabi equivalent of v.
v1::array::view | bsoncxx::v_noabi::to_v1 (v_noabi::array::view const &v)
| Convert to the bsoncxx::v1 equivalent of v.